Subject: Re: bug#72779: EGLOT pyright bug

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 09:29:48 +0300

> From: Johann De Waal <[email-masked]>
> Date: Fri, 23 Aug 2024 18:44:41 +0200
> 
> I've got a bug to report for eglot.
> 
> To reproduce is quite simple, I run eglot in a python buffer and it
> immediately exits with message 'exited abnormally with code 1'.
> 
> Some notes.
> 1. Running pyright in the command line works as expected.
> 2. Pyright was installed using "npm install -g pyright".
>    node -v = v20.16.0
>    pyright --version = 1.1.377
> 
> I've also attached some the logs from the eglot buffer.

Not sure it's our problem and not of pyright, but I added João to this
discussion, in the hope that he might have some comments or
suggestions.